Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Native Airport Extreme Drivers
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3 ... 18, 19, 20 ... 40, 41, 42  Next  
This topic is locked: you cannot edit posts or make replies.    Gentoo Forums Forum Index Gentoo on PPC
View previous topic :: View next topic  
Author Message
KeyserZero
n00b
n00b


Joined: 21 Mar 2005
Posts: 68

PostPosted: Sat Feb 18, 2006 11:25 am    Post subject: Reply with quote

Hey!

You need the kernel version 2.6.16 to apply the new bcm43xx snapshot!

Greetz
_________________
www.ruby-lang.org
Back to top
View user's profile Send private message
b0j3
n00b
n00b


Joined: 25 Dec 2004
Posts: 20

PostPosted: Sat Feb 18, 2006 1:19 pm    Post subject: Reply with quote

According to bcm43xx.txt in bcm43xx-standalone-060208 it can be used in kernel 2.6.15 or later.
But still the same error.
I would use 2.6.16 but I just can't compile proper kernel for Apple's ibook.
If there is a kind soul with proper .config :roll:
Back to top
View user's profile Send private message
KeyserZero
n00b
n00b


Joined: 21 Mar 2005
Posts: 68

PostPosted: Sat Feb 18, 2006 2:19 pm    Post subject: Reply with quote

I know that in the README.txt is written that you can use the driver with the 2.6.15 kernel but this isn't true.
In the newer version of the bcm43xx snaphshot the README.txt is fixed.

Look under http://bcm43xx.spugna.org/ for more details.

Greetz
_________________
www.ruby-lang.org
Back to top
View user's profile Send private message
b0j3
n00b
n00b


Joined: 25 Dec 2004
Posts: 20

PostPosted: Sat Feb 18, 2006 2:20 pm    Post subject: Reply with quote

That's what I was afraid of.
Oh, well. The latest kernel is being installed. Hopefully I'll be able to create proper config file.
Thanks for the effort.
Back to top
View user's profile Send private message
bz31
Tux's lil' helper
Tux's lil' helper


Joined: 20 Apr 2005
Posts: 108

PostPosted: Sat Feb 18, 2006 10:22 pm    Post subject: Reply with quote

scoobydu wrote:
Any chance softmac daily snapshot can have a version number somewhere?? No changelog, nor last update date, makes me unsure whether the snapshot has changed.

A quick guide to git with softmac would not go a miss too ;) I've been trying for a few days with no luck, although, I'm not sure of the concept with git, so that doesn't help :-/ Pulled the latest 2.6 kernel git, but how is wireless stuff merged? or is it already in there?

A quick guide to git: http://www.kernel.org/pub/software/scm/git/docs/tutorial.html
(It's enough for using git tree.)

Example:
$ git clone git://bu3sch.de/wireless-2.6.git <-- get Buesch's git tree
$ cd wireless-2.6
$ git checkout dscape <-- switch to the dscape branch
or
$ git checkout softmac <-- switch to the softmac branch
$ MAKE THE KERNEL

For changelog: http://bu3sch.de/git?p=wireless-2.6.git;a=summary (see links under heads for each branch).
Back to top
View user's profile Send private message
b0j3
n00b
n00b


Joined: 25 Dec 2004
Posts: 20

PostPosted: Sun Feb 19, 2006 11:49 am    Post subject: Reply with quote

Managed to compile kernel 2.6.16-rc3 on ibook (Google saves).
Now I am again stuck with bcm43xx standalone compilation.
This time I get "Using neither DMA nor PIO? Confused..."
Check of the source code shows that I have to choose between DMA or PIO, but I have no idea where.
I browsed through .config but no idea....
Back to top
View user's profile Send private message
ruben
Guru
Guru


Joined: 04 Jul 2003
Posts: 462

PostPosted: Sun Feb 19, 2006 7:06 pm    Post subject: Reply with quote

I messed around with the standalone version too for a while, but couldn't figure out how to solve that DMA thing. I tried changing the CFLAGS to make sure the correct value was defined, but that didn't seem to work. In the end I gave up on that, and just downloaded the full patches against 2.6.16-rc2... these work just fine and much less hassle. You can just reuse your .config from your 2.6.16-rc3 compile.
Back to top
View user's profile Send private message
b0j3
n00b
n00b


Joined: 25 Dec 2004
Posts: 20

PostPosted: Mon Feb 20, 2006 8:25 am    Post subject: Reply with quote

ruben wrote:
I messed around with the standalone version too for a while, but couldn't figure out how to solve that DMA thing. I tried changing the CFLAGS to make sure the correct value was defined, but that didn't seem to work. In the end I gave up on that, and just downloaded the full patches against 2.6.16-rc2... these work just fine and much less hassle. You can just reuse your .config from your 2.6.16-rc3 compile.


I also tried wth CFLAGS and no success.
Now I've emerged 2.6.16-rc2 and reused .config from rc3, but with make menuconfig I don't get any option for BCM43xx.

Should I do make config or did I miss something?
Back to top
View user's profile Send private message
scoobydu
Veteran
Veteran


Joined: 16 Feb 2003
Posts: 1076
Location: 'Mind the Gap'

PostPosted: Mon Feb 20, 2006 12:25 pm    Post subject: Reply with quote

Quote:
A quick guide to git: http://www.kernel.org/pub/software/scm/git/docs/tutorial.html
(It's enough for using git tree.)

Example:
$ git clone git://bu3sch.de/wireless-2.6.git <-- get Buesch's git tree
$ cd wireless-2.6
$ git checkout dscape <-- switch to the dscape branch
or
$ git checkout softmac <-- switch to the softmac branch
$ MAKE THE KERNEL

For changelog: http://bu3sch.de/git?p=wireless-2.6.git;a=summary (see links under heads for each branch).


Hey, great thanks for this!

Gave it a try and all ok, until I booted with the dscape branch and now a couple of kernel ooops have f$%cked my install, so time for some repair work :)

I'm determined to get this working as I did in January!
_________________
Tyan Tiger K8W, 2xOpteron 240,Powerbook5,6 15" 1.5g, Macbook Black 2g, Mac Mini 1g, Ipod P60g.
| Linux - From a windows user perspective|
Back to top
View user's profile Send private message
bz31
Tux's lil' helper
Tux's lil' helper


Joined: 20 Apr 2005
Posts: 108

PostPosted: Mon Feb 20, 2006 2:56 pm    Post subject: Reply with quote

I built a kernel using dscape branch two days ago, it's stable.
Maybe dscape-upstream and softmac-upstream branches are more stable than dscape and softmac branches.

It seems to me that the domesday branch has dscape_bcm43xx and softmac_bcm43xx driver, but I don't know if we can play with it for installing the two versions of bcm43xx driver in a same kernel.
Back to top
View user's profile Send private message
scoobydu
Veteran
Veteran


Joined: 16 Feb 2003
Posts: 1076
Location: 'Mind the Gap'

PostPosted: Mon Feb 20, 2006 3:44 pm    Post subject: Reply with quote

bz31 wrote:
I built a kernel using dscape branch two days ago, it's stable.
Maybe dscape-upstream and softmac-upstream branches are more stable than dscape and softmac branches.

It seems to me that the domesday branch has dscape_bcm43xx and softmac_bcm43xx driver, but I don't know if we can play with it for installing the two versions of bcm43xx driver in a same kernel.


The oops were around 80211. Only had dscape stack enabled with the bcm driver too.

Disabled bcm driver and rebuilt, but still had the oops :cry:

Just checked again and you have kindly supplied some rc4 patches for dscape, so trying them now :)
_________________
Tyan Tiger K8W, 2xOpteron 240,Powerbook5,6 15" 1.5g, Macbook Black 2g, Mac Mini 1g, Ipod P60g.
| Linux - From a windows user perspective|
Back to top
View user's profile Send private message
ruben
Guru
Guru


Joined: 04 Jul 2003
Posts: 462

PostPosted: Tue Feb 21, 2006 12:03 am    Post subject: Reply with quote

b0j3 wrote:
I also tried wth CFLAGS and no success.
Now I've emerged 2.6.16-rc2 and reused .config from rc3, but with make menuconfig I don't get any option for BCM43xx.
Should I do make config or did I miss something?

Ah... I thought that before you downloaded the kernel source for 2.6.16-rc3 and the patches manually. In any case, you need to download the all-in-one patches from http://tara.shadowpimps.net/~bcm43xx/bcm43xx-snapshots/. I see that the latest patches are against 2.6.16-rc4. So you will also need the kernel source for -rc4 or either use an older patch. Did you emerge "vanilla-sources"? If so, you can just apply the patch to the kernel source in /usr/src. (if you used gentoo-sources, it'll probably work fine too) After applying the all-in-one patch, you will get an option for the BCM43xx driver when you use 'make menuconfig'.
Back to top
View user's profile Send private message
b0j3
n00b
n00b


Joined: 25 Dec 2004
Posts: 20

PostPosted: Tue Feb 21, 2006 4:07 am    Post subject: Reply with quote

I found out the error. After emerging vanilla-sources-2.6.16-rc2 and patching I copied .config from rc3. I somehow assumed it's newer and better, but that way I removed BCM43XX config's.
So I reemerged kernel and patched copied .config and made make oldconfig and voila.

I'm now stuck with 'Microcode "bcm43xx_microcode5.fw" not available or load failed' and I have hotplug and coldplug installed.
Have to RTFM on (hot/cold)plugging in Linux.
Back to top
View user's profile Send private message
DrACoNuS
Tux's lil' helper
Tux's lil' helper


Joined: 03 Oct 2002
Posts: 116
Location: Edmonton, Alberta, Canada

PostPosted: Tue Feb 21, 2006 6:13 pm    Post subject: Reply with quote

b0j3 wrote:
I'm now stuck with 'Microcode "bcm43xx_microcode5.fw" not available or load failed' and I have hotplug and coldplug installed.
Have to RTFM on (hot/cold)plugging in Linux.


First thing to check is to make sure etc-update is caught up, if you have not merged in the new udev configs you will be unable to load firmware. Also check the usual (are the firmware files in /lib/firmware). Also make sure you are using the latest version of udev or try re-emerging it.
_________________
Is that a huge bandwidth or are you just happy to see me?
Back to top
View user's profile Send private message
atomik
n00b
n00b


Joined: 08 Jun 2003
Posts: 54
Location: Catania - Italy

PostPosted: Tue Feb 21, 2006 7:30 pm    Post subject: Reply with quote

I'm little problem, with 2.6.16-rc4, bcm43xx-060220__forlinux2.6.16-rc4__.patch and wpa_supplicant 0.5.1 airport extreme on my powerbook 5,6 work, but after some minutes of inactivities seems it disconnect from Access Point (i'm a WPA network).

if i do ifconfig, the interface is up..

if i see on dmesg, many of these message are shown:

TKIP: replay detected: STA=xx:xx:xx:xx:xx:xx previous TSC 0000000010b1 received TSC 000000000061
printk: 1 messages suppressed.
TKIP: replay detected: STA=xx:xx:xx:xx:xx:xx previous TSC 0000000010b1 received TSC 000000000063
printk: 2 messages

This is my wpa_supplicant.conf:

# WPA AES encryption
ctrl_interface=/var/run/wpa_supplicant
network={
ssid="MySSID"
scan_ssid=1
key_mgmt=WPA-PSK
proto=WPA
pairwise=TKIP
group=TKIP
psk="my_passwd"
priority=3
}

I've add this on /etc/conf.d/net:

modules=( "wpa_supplicant" )
wpa_supplicant_eth1="-Dwext"
wpa_timeout_eth1=60


If this helpful, when i do:
wpa_supplicant -B -ieth1 -Dwext -c/etc/wpa_supplicant.conf

I have this error:
bind(PF_UNIX): Address already in use
_________________
At0m|K
Back to top
View user's profile Send private message
b0j3
n00b
n00b


Joined: 25 Dec 2004
Posts: 20

PostPosted: Tue Feb 21, 2006 9:44 pm    Post subject: Reply with quote

DrACoNuS wrote:

First thing to check is to make sure etc-update is caught up,


I'm not sure how to do that.

I've also checked udev version (it's 079-r1), reemerged it. The firmware data are in /lib/firmware.
Still the same error message.

EDIT: I've checked the damn thing and googled on etc-update. Did dispatch-conf....
IT WORKS !!! :D (well at least "ifconfig eth1 up")
I have no idea what is the reason. I guess I had to update udev stuff.
Back to top
View user's profile Send private message
DrACoNuS
Tux's lil' helper
Tux's lil' helper


Joined: 03 Oct 2002
Posts: 116
Location: Edmonton, Alberta, Canada

PostPosted: Wed Feb 22, 2006 5:25 pm    Post subject: Reply with quote

b0j3 wrote:

EDIT: I've checked the damn thing and googled on etc-update. Did dispatch-conf....
IT WORKS !!! :D (well at least "ifconfig eth1 up")
I have no idea what is the reason. I guess I had to update udev stuff.


Good to hear!
_________________
Is that a huge bandwidth or are you just happy to see me?
Back to top
View user's profile Send private message
faramirtook
n00b
n00b


Joined: 02 Jul 2005
Posts: 4

PostPosted: Wed Mar 01, 2006 11:09 pm    Post subject: Reply with quote

Hi. I get the error of
Code:
ieee80211softmac: Unknown symbol wireless_send_event
bcm43xx: no version magic, tainting kernel.
bcm43xx: doesn't contain .toc or .stubs.


from dmesg and
Code:
 WARNING: Error inserting ieee80211softmac (/lib/modules/2.6.16-rc5/kernel/net/ieee80211/softmac/ieee80211softmac.ko): Unknown symbol in module, or unknown parameter (see dmesg)
FATAL: Error inserting bcm43xx (/lib/modules/2.6.16-rc5/kernel/drivers/net/wireless/bcm43xx.ko): Invalid module format

whenI run modprobe bcm43xx itself.

I'm using bcm43xx-standalone-06030, bcm43xx-fwcutter-003, and wl_apsta.o.

fwcutter outputs someting that makes me feel uneasy as well:

Code:
Weathertop elendil # bcm43xx-fwcutter -w /lib/firmware wl_apsta.o
fwcutter can cut the firmware out of wl_apsta.o
  filename :  wl_apsta.o
  version  :  3.130.20.0
  MD5      :  e08665c5c5b66beb9c3b2dd54aa80cb3

extracting bcm43xx_microcode2.fw ...
/lib/firmware/bcm43xx_microcode2.fw: No such file or director


kernel 2.6.16-rc5 vanilla.
Back to top
View user's profile Send private message
JoseJX
Retired Dev
Retired Dev


Joined: 28 Apr 2002
Posts: 2774

PostPosted: Wed Mar 01, 2006 11:20 pm    Post subject: Reply with quote

You must include wireless networking support in your kernel, that will fix your first and second errors.

For the final error, make sure you have permission to write to that directory. You could also extract the firmware into your homedir and copy it over manually.
_________________
Gentoo PPC FAQ: http://www.gentoo.org/doc/en/gentoo-ppc-faq.xml
Back to top
View user's profile Send private message
faramirtook
n00b
n00b


Joined: 02 Jul 2005
Posts: 4

PostPosted: Thu Mar 02, 2006 12:12 am    Post subject: Reply with quote

I still get
Code:
bcm43xx: no version magic, tainting kernel.
bcm43xx: doesn't contain .toc or .stubs.
and
Code:
FATAL: Error inserting bcm43xx (/lib/modules/2.6.16-rc5/kernel/drivers/net/wireless/bcm43xx.ko): Invalid module format


I'm going to try a different bcm43xx snapshot. I should be using the standalone, correct? and does the fact that I'm using 2.6.16-rc5 make a difference?
Back to top
View user's profile Send private message
dashnu
l33t
l33t


Joined: 21 Jul 2004
Posts: 703
Location: Casco Maine

PostPosted: Thu Mar 02, 2006 7:06 pm    Post subject: Reply with quote

atomik wrote:
I'm little problem, with 2.6.16-rc4, bcm43xx-060220__forlinux2.6.16-rc4__.patch and wpa_supplicant 0.5.1 airport extreme on my powerbook 5,6 work, but after some minutes of inactivities seems it disconnect from Access Point (i'm a WPA network).

if i do ifconfig, the interface is up..

if i see on dmesg, many of these message are shown:

TKIP: replay detected: STA=xx:xx:xx:xx:xx:xx previous TSC 0000000010b1 received TSC 000000000061
printk: 1 messages suppressed.
TKIP: replay detected: STA=xx:xx:xx:xx:xx:xx previous TSC 0000000010b1 received TSC 000000000063
printk: 2 messages

This is my wpa_supplicant.conf:

# WPA AES encryption
ctrl_interface=/var/run/wpa_supplicant
network={
ssid="MySSID"
scan_ssid=1
key_mgmt=WPA-PSK
proto=WPA
pairwise=TKIP
group=TKIP
psk="my_passwd"
priority=3
}

I've add this on /etc/conf.d/net:

modules=( "wpa_supplicant" )
wpa_supplicant_eth1="-Dwext"
wpa_timeout_eth1=60


If this helpful, when i do:
wpa_supplicant -B -ieth1 -Dwext -c/etc/wpa_supplicant.conf

I have this error:
bind(PF_UNIX): Address already in use


I am also running into similar problems.
_________________
write quit bang
Back to top
View user's profile Send private message
mattmatteh
Guru
Guru


Joined: 10 Mar 2004
Posts: 449
Location: near chicago

PostPosted: Sun Mar 05, 2006 8:45 am    Post subject: Reply with quote

got it working !!!! :-Dctrl_interface=/var/run/wpa_supplicant

first i was trying with those lines uncommented, then searched a few other forums (ubuntu maybe ?) and found this and tried it and it worked (really wasnt expecting it to work either )

/etc/wpa_supplicant.conf
---------------------------------
ctrl_interface_group=0
eapol_version=1
ap_scan=1
fast_reauth=1
opensc_engine_path=/usr/lib/opensc/engine_opensc.so
pkcs11_engine_path=/usr/lib/opensc/engine_pkcs11.so
pkcs11_module_path=/usr/lib/pkcs11/opensc-pkcs11.so

network={
ssid="blackbox"
scan_ssid=1
key_mgmt=WPA-PSK
#proto=WPA
#pairwise=CCMP TKIP
#group=CCMP TKIP
psk="abcdefghijklmnopqrstuvwxyz"
priority=3
}
-----------------------------------------------

also in one of those forums, i read that someone installed opensc, no idea what exactly it does. so i installed that at one point. not sure if its needed. try it without and let me know if it is. i dont want to remove it just yet to test, i like it working.. haha

[ebuild R ] dev-libs/opensc-0.9.4 +X -ldap +pam -pcsc-lite


access point is using wpa-psk, and aes ( not tkip )

matt
Back to top
View user's profile Send private message
mattmatteh
Guru
Guru


Joined: 10 Mar 2004
Posts: 449
Location: near chicago

PostPosted: Sun Mar 05, 2006 8:46 am    Post subject: Reply with quote

forgot the command....

ibook ~ # wpa_supplicant -ieth1 -Dwext -c/etc/wpa_supplicant.conf -dd
Back to top
View user's profile Send private message
mattmatteh
Guru
Guru


Joined: 10 Mar 2004
Posts: 449
Location: near chicago

PostPosted: Sun Mar 05, 2006 8:49 am    Post subject: Reply with quote

ok, after i sent that i tried to shut it down and goto bed. instead managed to piss off the kernel and the whole thing froze.... hard reset :(

what is the correct way to stop wireless ?

matt
Back to top
View user's profile Send private message
fuoco
Guru
Guru


Joined: 23 May 2004
Posts: 386
Location: Israel

PostPosted: Sun Mar 05, 2006 7:02 pm    Post subject: Reply with quote

Anyone got it to work with NetworkManager ? (from gentopia)
Back to top
View user's profile Send private message
Display posts from previous:   
This topic is locked: you cannot edit posts or make replies.    Gentoo Forums Forum Index Gentoo on PPC All times are GMT
Goto page Previous  1, 2, 3 ... 18, 19, 20 ... 40, 41, 42  Next
Page 19 of 42

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum